﻿#ifndef CGAME_H
#define CGAME_H

#include <QImage>
#include "../common/sources/system/cmaths.h"
#include "../common/sources/Map.h"
#include "character.h"

#define SCREEN_WIDTH    320
#define SCREEN_HEIGHT   200
#define MAINVIEW_WIDTH  224
#define MAINVIEW_HEIGHT 136

//---------------------------------------------------------------------------------------------
class CGame
{
public:
    CGame();

    QImage displayMainView();

    CCharacter  characters[4];
    QImage*     shadowImage;

private:
    void    drawWall(QImage* image, CVec2 mapPos, CVec2 tablePos, EWallSide side, bool flip);
};

extern CGame    game;

#endif // CGAME_H
